- Qt 5.15
- Qt Multimedia
- C++ Classes
- QRadioDataControl
- Qt 5.15.11 Reference Documentation

# QRadioDataControl Class

The QRadioDataControl class provides access to the RDS functionality of the radio in the QMediaService. More...

Header: | #include <QRadioDataControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

## Public Functions

virtual | ~QRadioDataControl()
virtual QRadioData::Error | error() const = 0
virtual QString | errorString() const = 0
virtual bool | isAlternativeFrequenciesEnabled() const = 0
virtual QRadioData::ProgramType | programType() const = 0
virtual QString | programTypeName() const = 0
virtual QString | radioText() const = 0
virtual void | setAlternativeFrequenciesEnabled(bool enabled) = 0
virtual QString | stationId() const = 0
virtual QString | stationName() const = 0

## Signals

void | alternativeFrequenciesEnabledChanged(bool enabled)
void | error(QRadioData::Error error)
void | programTypeChanged(QRadioData::ProgramType programType)
void | programTypeNameChanged(QString programTypeName)
void | radioTextChanged(QString radioText)
void | stationIdChanged(QString stationId)
void | stationNameChanged(QString stationName)

## Protected Functions

| QRadioDataControl(QObject *parent = nullptr)

## Macros

| QRadioDataControl_iid

## Detailed Description

The functionality provided by this control is exposed to application code through the QRadioData class.

The interface name of QRadioDataControl is `org.qt-project.qt.radiodatacontrol/5.0` as defined in QRadioDataControl_iid.

See also QMediaService::requestControl() and QRadioData.

## Member Function Documentation

### `[protected]` QRadioDataControl::QRadioDataControl(QObject *parent = nullptr)

Constructs a radio data control with the given parent.

### `[signal]` void QRadioDataControl::alternativeFrequenciesEnabledChanged(bool enabled)

Signals that the alternative frequencies setting has changed to the value of enabled.

### `[signal]` void QRadioDataControl::error(QRadioData::Error error)

Signals that an error has occurred.

Note: Signal error is overloaded in this class. To connect to this signal by using the function pointer syntax, Qt provides a convenient helper for obtaining the function pointer as shown in this example:

     connect(radioDataControl, QOverload<QRadioData::Error>::of(&QRadioDataControl::error),
         [=](QRadioData::Error error){ /* ... */ });

### `[signal]` void QRadioDataControl::programTypeChanged(QRadioData::ProgramType programType)

Signals that the Program Type programType has changed

### `[signal]` void QRadioDataControl::programTypeNameChanged(QString programTypeName)

Signals that the Program Type Name programTypeName has changed

### `[signal]` void QRadioDataControl::radioTextChanged(QString radioText)

Signals that the Radio Text radioText has changed

### `[signal]` void QRadioDataControl::stationIdChanged(QString stationId)

Signals that the Program Identification stationId has changed

### `[signal]` void QRadioDataControl::stationNameChanged(QString stationName)

Signals that the Program Service stationName has changed

### `[virtual]` QRadioDataControl::~QRadioDataControl()

Destroys a radio data control.

### `[pure virtual]` QRadioData::Error QRadioDataControl::error() const

Returns the error state of a radio data.

### `[pure virtual]` QString QRadioDataControl::errorString() const

Returns a string describing a radio data's error state.

### `[pure virtual]` bool QRadioDataControl::isAlternativeFrequenciesEnabled() const

Returns true if Alternative Frequency is currently enabled

### `[pure virtual]` QRadioData::ProgramType QRadioDataControl::programType() const

Returns the current Program Type

### `[pure virtual]` QString QRadioDataControl::programTypeName() const

Returns the current Program Type Name

### `[pure virtual]` QString QRadioDataControl::radioText() const

Returns the current Radio Text

### `[pure virtual]` void QRadioDataControl::setAlternativeFrequenciesEnabled(bool enabled)

Sets the Alternative Frequency to enabled

See also isAlternativeFrequenciesEnabled().

### `[pure virtual]` QString QRadioDataControl::stationId() const

Returns the current Program Identification

### `[pure virtual]` QString QRadioDataControl::stationName() const

Returns the current Program Service

## Macro Documentation

### QRadioDataControl_iid

`org.qt-project.qt.radiodatacontrol/5.0`

Defines the interface name of the QRadioDataControl class.